Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class ResourceHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.amf.gen.ide.ResourceHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ResourceJobHandler

    public abstract class ResourceHandler

extends org.eclipse.core.commands.AbstractHandler

Executes an arbitrary task upon a resource. Clients should override #execute(IResource).

Author:
  milesparker

Constructor Summary
`ResourceHandler()`

Method Summary
`java.lang.Object` | `execute(org.eclipse.core.commands.ExecutionEvent event)`
`void` | `execute(org.eclipse.core.resources.IResource resource)` Override with desired execution behavior.
`void` | `execute(java.lang.Object resource, java.lang.String name)`
`void` | `executeHandler(org.eclipse.core.commands.ExecutionEvent event, java.lang.Object resource, java.lang.String name)`
`org.eclipse.core.runtime.IProgressMonitor` | `getMonitor()`
`void` | `setMonitor(org.eclipse.core.runtime.IProgressMonitor monitor)`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHandler

    public ResourceHandler()

Method Detail

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

### execute

    public void execute(org.eclipse.core.resources.IResource resource)
                 throws org.eclipse.core.commands.ExecutionException

  Override with desired execution behavior.

  Parameters:
    `resource` -
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### execute

    public void execute(java.lang.Object resource,
                        java.lang.String name)
                 throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

### executeHandler

    public void executeHandler(org.eclipse.core.commands.ExecutionEvent event,
                               java.lang.Object resource,
                               java.lang.String name)
                        throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

### getMonitor

    public org.eclipse.core.runtime.IProgressMonitor getMonitor()

### setMonitor

    public void setMonitor(org.eclipse.core.runtime.IProgressMonitor monitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD